Cancel an auto-renewal
curl --request POST \
--url https://app.papelship.com/api/v1/subscriptions/auto-renewals/{id}/cancel \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/subscriptions/auto-renewals/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/subscriptions/auto-renewals/{id}/cancel"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/subscriptions/auto-renewals/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/subscriptions/auto-renewals/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"auto_renewal": {
"id": 123,
"object": "auto_renewal",
"status": "active",
"provider": "whop",
"customer_email": "<string>",
"product": {
"id": "<string>",
"name": "<string>"
},
"origin_invoice_id": "<string>",
"last_invoice_id": "<string>",
"period_days": 30,
"price_cents": 123,
"currency": "<string>",
"discount_percent": 123,
"renewals_count": 123,
"current_period_end": "2026-10-04T12:00:00.000Z",
"cancelled_at": "2026-10-04T12:00:00.000Z",
"can_cancel": true,
"created_at": "2026-10-04T12:00:00.000Z"
}
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "DELIVERY_FAILED",
"error": "The order was completed but delivery failed. Retry the call to deliver again.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Subscriptions
Cancel an auto-renewal
Stops at the end of the period. No refund.
Permission: subscriptions:write
POST
/
subscriptions
/
auto-renewals
/
{id}
/
cancel
Cancel an auto-renewal
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Auto-renewal ID.
Example:
"5"